@import url('https://fonts.googleapis.com/css?family=Pixelify+Sans&display=swap');

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes pulse {
    0%, 100% {
        transform: scale(0.9);
        opacity: 0.9;
    }
    50% {
        transform: scale(1);
        opacity: 1;
    }
}

img {
    max-width: 100%;
    height: auto;
}


body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    text-align: center;
    max-width: 490px;
    height: 695px;
    margin: 0;
    padding: 0;
}


.quiz-container {
    background-image: url("img/game_title.png");
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 0px 0px 5px 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    border: solid 1px;
    width: 490px;
    aspect-ratio: 490 / 695 ;
    margin: 2px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative; /* 添加相对定位 */
    transition: background-image 1s; /* 添加過度效果 */
}

.top{
    width: 80%;
    height: 19%;
    margin: 75px 0px 15px 0px;
}
#question{
    background-color: transparent;
    font-family: 'Pixelify Sans', Arial, sans-serif;
    font-size: x-large ;
    font-weight: bold;
    color: #2E1B5B;
    padding: 0px 0px 0px 0px;

    white-space: pre-line;

}

.options {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}/*管理所有按鈕設定*/



.option {
    font-size:large ;
    font-weight: bold;
    width: 100%;
    height: 40% ;
    margin: 14px;
    padding: 10px 15px 10px 15px;
    background-color: #ffe550;
    color: #2E1B5B;
    border-color: rgb(0, 0, 0);
    border-style: solid ;
    border-radius: 50px;
    cursor: pointer;
    z-index: 2;
}/*管理單個個別按鈕設定*/

.option.disabled  {
    cursor: default;
    pointer-events: none;
    opacity: 1;
    display: none;
}


#result {
    background-color: transparent;
    
    padding: 5px 5px 5px 5px;
    margin: 5px;

    font-weight: bold;
    color: rgb(43, 0, 184);
    text-shadow: -1px -1px 3px #efe4d1,
    1px -1px 3px #efe4d1,
    -1px 1px 3px #efe4d1,
    1px 1px 3px #efe4d1;
    
    margin-top: 10px;
    position: absolute;
    top: 93%; /* 定位到容器的垂直下方 */
    left: 65%; /* 定位到容器的水平中間偏右 */
    display: none;
}

#start{
    font-size: 60px ;
    width: 85%;
    height: 15% ;
    margin: 10px;
    padding: 10px 20px;
    border: none;
    position: absolute;
    background-color: transparent;
    color: #2E1B5B;
    text-shadow: 2px 2px 4px rgb(177, 204, 230);
    font-family: 'Pixelify Sans', Arial, sans-serif;
    font-weight: bold;
    cursor: pointer;
    top: 30%;
    z-index: 5;
    animation-name: pulse;
    animation-duration: 3s;
    animation-iteration-count:infinite
}
#start_2{
    font-size: 30px ;

    margin: 1px;
    padding: 10px 20px;

    background-color: transparent;
    color: #2E1B5B;
    text-shadow: 2px 2px 4px rgb(177, 204, 230);
    font-family: 'Pixelify Sans', Arial, sans-serif;
    font-weight: bold;
    position: absolute;
    top: 45%;

}

#thank {
    font-size: 60px ;
    width: 85%;
    height: 25% ;
    margin: 0px;
    padding: 0px 0px 0px 0px;
    border: none;
    position: absolute;
    background-color: transparent;
    color: #2E1B5B;
    text-shadow: 2px 2px 4px rgb(177, 204, 230);
    font-family: 'Pixelify Sans', Arial, sans-serif;
    font-weight: bold;
    top: 10%;
    display: none;
}

#ending {
    width: 72%;
    height: 30% ;

    padding: 5px 15px 5px 15px;
    margin: 5px;

    font-size: large ;
    font-weight: bold;
    color: #2E1B5B;
    text-shadow: 2px 2px 4px rgb(177, 204, 230);

    margin-top: 10px;
    position: absolute;
    top: 35%; /* 定位到容器的中間偏上 */
    left: 10%; /* 定位到容器的水平中間偏左 */
    z-index: 1;
    white-space: pre-line;
    display: none;
}

@media (max-width: 441px) {
    .quiz-container {
        width: 440px; 
    }
    #question {
        font-size: 135% ;
        width: 90%;
        height: 36% ;/* 適應小螢幕的題目樣式 */
    }
    .option {
        font-size: 17px ;
        padding: 8px 12px 8px 12px;
        margin: 12px;
    }
    #start{
        font-size:55px ;  
    }
    #start_2{
        font-size:28px ;  
    }
    .top{
        margin: 68px 0px 14px 0px;
    }
    #ending{
        font-size: large ; 
    }
    #thank{
        font-size: 55px ;
    }
    #result{
        font-size: 15px ;
    }
    /* 這些樣式只會在螢幕寬度小於441px時應用 */
}

@media (max-width: 421px) {
    .quiz-container {
        width: 420px; 
    }
    #question {
        font-size:large ;
        width: 85.9%;
        height: 34% ;/* 適應小螢幕的題目樣式 */
    }
    .option {
        font-size: 16px ;
        padding: 8px 12px 8px 12px;
        margin: 11px;
    }
    #start{
        font-size:56px ;  
    }
    #start_2{
        font-size:26px ;  
    }
    .top{
        margin: 70px 0px 9px 0px;
    }
    #ending{
        font-size: medium ; 
    }
    #thank{
        font-size: 50px ;
    }
    #result{
        font-size: 13px ;
    }
    /* 這些樣式只會在螢幕寬度小於421px時應用 */
}

@media (max-width: 401px) {
    .quiz-container {
        width: 400px; 
    }
    #question {
        font-size:large ;
        width: 81.63%;
        height: 32.65% ;/* 適應小螢幕的題目樣式 */
    }
    .option {
        font-size: 15px ;
        padding: 7px 11px 7px 11px;
        margin: 12px;
    }
    #start{
        font-size:49px ;  
    }
    #start_2{
        font-size:24px ;  
    }
    .top{
        margin: 68px 0px 4px 0px;
    }
    #ending{
        font-size: medium ; 
    }
    #thank{
        font-size: 47px ;
    }
    #result{
        font-size: 11px ;
    }
    /* 這些樣式只會在螢幕寬度小於401px時應用 */
}

@media (max-width: 361px) {
    .quiz-container {
        width: 360px;  
    }
    #question {
        font-size:large ;
        width: 73.47%;
        height: 29.39% ;/* 適應小螢幕的題目樣式 */
    }
    .option {
        font-size: 15px ;
        padding: 6px 10px 6px 10px;
        margin: 10px;
    }
    #start{
        font-size:44px ;  
    }
    #start_2{
        font-size:22px ;  
    }
    .top{
        margin: 52px 0px 12px 0px;
    }
    #ending{
        padding: 3px 10px 5px 10px;
        font-size: 95% ; 
    }
    #thank{
        font-size: 44px ;
    }
    #result{
        font-size: 9px ;
    }
    /* 這些樣式只會在螢幕寬度小於361px時應用 */
}

@media (max-width: 341px) {
    .quiz-container {
        width: 340px; 
    }
    #question {
        font-size: 100% ;
        width: 69.38%;
        height: 27.76% ;/* 適應小螢幕的題目樣式 */
    }
    .option {
        font-size: 13px ;
        padding: 6px 10px 6px 10px;
        margin: 10px;
    }
    #start{
        font-size:41.5px ;  
    }
    #start_2{
        font-size:20px ;  
    }
    .top{
        margin: 55px 0px 6px 0px;
    }
    #ending{
        padding: 1px 10px 5px 10px;
        margin: 0px;
    
        font-size: 90% ; 
    }
    #thank{
        font-size: 41.5px ;
    }
    #result{
        font-size: 9px ;
        left: 63%;
    }
    /* 這些樣式只會在螢幕寬度小於341px時應用 */
}

@media (max-width: 321px) {
    .quiz-container {
        width: 320px;  
    }
    #question {
        font-size:95% ;
        width: 65.5%;
        height: 25.39% ;/* 適應小螢幕的題目樣式 */
    }
    .option {
        font-size: 12px ;
        padding: 5px 9px 5px 9px;
        margin: 10px;
    }
    #start{
        font-size:40px ;  
    }
    #start_2{
        font-size:20px ;  
    }
    .top{
        margin: 52px 0px 4px 0px;
    }
    #ending{
        padding: 1px 15px 5px 15px;
        margin: 0px;
    
        font-size: smaller ; 
    }
    #thank{
        font-size: 38px ;
    }
    #result{
        font-size: 7px ;
        left: 61%;
    }
    /* 這些樣式只會在螢幕寬度小於321px時應用 */
}